[Réglé] Erreur SQL en php 7.1 après le passage de 3.110 à 3.2

Forum concernant les demandes de support pour tout problème de mise à jour d'un forum phpBB 3.2.x depuis une version antérieure ou d'une conversion de phpBB2 ou phpBB3 vers phpBB 3.2

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.

[Réglé] Erreur SQL en php 7.1 après le passage de 3.110 à 3.2

Messagepar gpinpin » 16 Fév 2017 à 23:03

Bonsoir
Après mes essais en local sous wamp j'ai donc mis la version 3.2 en route chez l'hébergeur.
Tout ce passe bien si je reste en php 5.6
Mais si bascule sur php 7.1 j'ai une erreur sql
SQL ERROR [ mysql4 ]
mysql_connect function does not exist, is mysql extension installed?


Si je laisse le répertoire install et que je fais comme si je voulais recommencer l’opération "base de données" j'ai bien l'affichage de la mise à jour mais je ne vais pas plus loin puisque déjà faite.

Une piste?

A+ Gpinpin
Modifié en dernier par gpinpin le 17 Fév 2017 à 08:07, modifié 1 fois.
Forum en 3.22 et PHP 7.23 et PHP 7.1.13 au besoin si problème en 7.23
gpinpin
Posteur habitué
Posteur habitué
 
Messages: 271
Enregistré le: 12 Mar 2008 à 11:28

Re: Erreur SQL en php 7.1 après le passage de 3.110 à 3.2

Messagepar stone23 » 16 Fév 2017 à 23:43

Je ne sais pas si ça t'aidera mais tu as peut-être des infos ici.
Forum d'enCreuse.net, hébergé et assisté par phpBB-Services en toute tranquillilté.
Avatar de l’utilisateur
stone23
Apprenti-posteur
Apprenti-posteur
 
Messages: 157
Enregistré le: 31 Mai 2008 à 13:50
Localisation: Entre la chaise et le clavier

Re: Erreur SQL en php 7.1 après le passage de 3.110 à 3.2

Messagepar soda » 17 Fév 2017 à 01:56

Le driver mysql n'existe plus sous php 7.1 il te faut éditer ton config.php et remplacer mysql par mysqli
Appelez moi..... Ismaël

phpBB-Services.com: L'hébergement et l'assistance de votre forum phpBB en toute tranquillité.
soda
Posteur expérimenté
Posteur expérimenté
 
Messages: 352
Enregistré le: 25 Déc 2006 à 12:55
Localisation: Sur mon cheval blanc

Re: Erreur SQL en php 7.1 après le passage de 3.110 à 3.2

Messagepar gpinpin » 17 Fév 2017 à 08:06

Bonjour
Vous avez gagné ma gratitude tous......En effet juste le "i" qui manquait pour faire mysqli
Et la plus de souci je vais pouvoir continuer je suis bien en 7.11
en local j'avais sous wamp:
$dbms = 'phpbb\\db\\driver\\mysqli';

et chez l"hebergeur:
$dbms = 'mysql';
que j'ai remplacé par
$dbms = 'mysqli';

Je continue la mise à jour
merci encore
Gpinpin
Forum en 3.22 et PHP 7.23 et PHP 7.1.13 au besoin si problème en 7.23
gpinpin
Posteur habitué
Posteur habitué
 
Messages: 271
Enregistré le: 12 Mar 2008 à 11:28


Retourner vers Mises à jour/Conversions

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 2 invités